# sources-api-client

SourcesApiClient - the Ruby gem for the Sources

Sources

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build sources-api-client.gemspec
```

Then either install the gem locally:

```shell
gem install ./sources-api-client-1.0.0.gem
```

(for development, run `gem install --dev ./sources-api-client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'sources-api-client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'sources-api-client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'sources-api-client'

# Setup authorization
SourcesApiClient.configure do |config|
  # Configure HTTP basic authorization: UserSecurity
  config.username = 'YOUR_USERNAME'
  config.password = 'YOUR_PASSWORD'
end

api_instance = SourcesApiClient::DefaultApi.new
id = 'id_example' # String | ID of the resource

begin
  #Checks Availability of a Source
  api_instance.check_availability_source(id)
rescue SourcesApiClient::ApiError => e
  puts "Exception when calling DefaultApi->check_availability_source: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://cloud.redhat.com//api/sources/v1.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SourcesApiClient::DefaultApi* | [**check_availability_source**](docs/DefaultApi.md#check_availability_source) | **POST** /sources/{id}/check_availability | Checks Availability of a Source
*SourcesApiClient::DefaultApi* | [**create_application**](docs/DefaultApi.md#create_application) | **POST** /applications | Create a new Application
*SourcesApiClient::DefaultApi* | [**create_authentication**](docs/DefaultApi.md#create_authentication) | **POST** /authentications | Create a new Authentication
*SourcesApiClient::DefaultApi* | [**create_endpoint**](docs/DefaultApi.md#create_endpoint) | **POST** /endpoints | Create a new Endpoint
*SourcesApiClient::DefaultApi* | [**create_source**](docs/DefaultApi.md#create_source) | **POST** /sources | Create a new Source
*SourcesApiClient::DefaultApi* | [**create_source_type**](docs/DefaultApi.md#create_source_type) | **POST** /source_types | Create a new SourceType
*SourcesApiClient::DefaultApi* | [**delete_application**](docs/DefaultApi.md#delete_application) | **DELETE** /applications/{id} | Delete an existing Application
*SourcesApiClient::DefaultApi* | [**delete_authentication**](docs/DefaultApi.md#delete_authentication) | **DELETE** /authentications/{id} | Delete an existing Authentication
*SourcesApiClient::DefaultApi* | [**delete_endpoint**](docs/DefaultApi.md#delete_endpoint) | **DELETE** /endpoints/{id} | Delete an existing Endpoint
*SourcesApiClient::DefaultApi* | [**delete_source**](docs/DefaultApi.md#delete_source) | **DELETE** /sources/{id} | Delete an existing Source
*SourcesApiClient::DefaultApi* | [**get_documentation**](docs/DefaultApi.md#get_documentation) | **GET** /openapi.json | Return this API document in JSON format
*SourcesApiClient::DefaultApi* | [**list_application_type_sources**](docs/DefaultApi.md#list_application_type_sources) | **GET** /application_types/{id}/sources | List Sources for ApplicationType
*SourcesApiClient::DefaultApi* | [**list_application_types**](docs/DefaultApi.md#list_application_types) | **GET** /application_types | List ApplicationTypes
*SourcesApiClient::DefaultApi* | [**list_applications**](docs/DefaultApi.md#list_applications) | **GET** /applications | List Applications
*SourcesApiClient::DefaultApi* | [**list_authentications**](docs/DefaultApi.md#list_authentications) | **GET** /authentications | List Authentications
*SourcesApiClient::DefaultApi* | [**list_endpoint_authentications**](docs/DefaultApi.md#list_endpoint_authentications) | **GET** /endpoints/{id}/authentications | List Authentications for Endpoint
*SourcesApiClient::DefaultApi* | [**list_endpoints**](docs/DefaultApi.md#list_endpoints) | **GET** /endpoints | List Endpoints
*SourcesApiClient::DefaultApi* | [**list_source_application_types**](docs/DefaultApi.md#list_source_application_types) | **GET** /sources/{id}/application_types | List ApplicationTypes for Source
*SourcesApiClient::DefaultApi* | [**list_source_applications**](docs/DefaultApi.md#list_source_applications) | **GET** /sources/{id}/applications | List Applications for Source
*SourcesApiClient::DefaultApi* | [**list_source_endpoints**](docs/DefaultApi.md#list_source_endpoints) | **GET** /sources/{id}/endpoints | List Endpoints for Source
*SourcesApiClient::DefaultApi* | [**list_source_type_sources**](docs/DefaultApi.md#list_source_type_sources) | **GET** /source_types/{id}/sources | List Sources for SourceType
*SourcesApiClient::DefaultApi* | [**list_source_types**](docs/DefaultApi.md#list_source_types) | **GET** /source_types | List SourceTypes
*SourcesApiClient::DefaultApi* | [**list_sources**](docs/DefaultApi.md#list_sources) | **GET** /sources | List Sources
*SourcesApiClient::DefaultApi* | [**post_graph_ql**](docs/DefaultApi.md#post_graph_ql) | **POST** /graphql | Perform a GraphQL Query
*SourcesApiClient::DefaultApi* | [**show_application**](docs/DefaultApi.md#show_application) | **GET** /applications/{id} | Show an existing Application
*SourcesApiClient::DefaultApi* | [**show_application_type**](docs/DefaultApi.md#show_application_type) | **GET** /application_types/{id} | Show an existing ApplicationType
*SourcesApiClient::DefaultApi* | [**show_authentication**](docs/DefaultApi.md#show_authentication) | **GET** /authentications/{id} | Show an existing Authentication
*SourcesApiClient::DefaultApi* | [**show_endpoint**](docs/DefaultApi.md#show_endpoint) | **GET** /endpoints/{id} | Show an existing Endpoint
*SourcesApiClient::DefaultApi* | [**show_source**](docs/DefaultApi.md#show_source) | **GET** /sources/{id} | Show an existing Source
*SourcesApiClient::DefaultApi* | [**show_source_type**](docs/DefaultApi.md#show_source_type) | **GET** /source_types/{id} | Show an existing SourceType
*SourcesApiClient::DefaultApi* | [**update_application**](docs/DefaultApi.md#update_application) | **PATCH** /applications/{id} | Update an existing Application
*SourcesApiClient::DefaultApi* | [**update_authentication**](docs/DefaultApi.md#update_authentication) | **PATCH** /authentications/{id} | Update an existing Authentication
*SourcesApiClient::DefaultApi* | [**update_endpoint**](docs/DefaultApi.md#update_endpoint) | **PATCH** /endpoints/{id} | Update an existing Endpoint
*SourcesApiClient::DefaultApi* | [**update_source**](docs/DefaultApi.md#update_source) | **PATCH** /sources/{id} | Update an existing Source


## Documentation for Models

 - [SourcesApiClient::Application](docs/Application.md)
 - [SourcesApiClient::ApplicationType](docs/ApplicationType.md)
 - [SourcesApiClient::ApplicationTypesCollection](docs/ApplicationTypesCollection.md)
 - [SourcesApiClient::ApplicationsCollection](docs/ApplicationsCollection.md)
 - [SourcesApiClient::Authentication](docs/Authentication.md)
 - [SourcesApiClient::AuthenticationExtra](docs/AuthenticationExtra.md)
 - [SourcesApiClient::AuthenticationExtraAzure](docs/AuthenticationExtraAzure.md)
 - [SourcesApiClient::AuthenticationsCollection](docs/AuthenticationsCollection.md)
 - [SourcesApiClient::CollectionLinks](docs/CollectionLinks.md)
 - [SourcesApiClient::CollectionMetadata](docs/CollectionMetadata.md)
 - [SourcesApiClient::Endpoint](docs/Endpoint.md)
 - [SourcesApiClient::EndpointsCollection](docs/EndpointsCollection.md)
 - [SourcesApiClient::ErrorNotFound](docs/ErrorNotFound.md)
 - [SourcesApiClient::ErrorNotFoundErrors](docs/ErrorNotFoundErrors.md)
 - [SourcesApiClient::GraphQLRequest](docs/GraphQLRequest.md)
 - [SourcesApiClient::GraphQLResponse](docs/GraphQLResponse.md)
 - [SourcesApiClient::Source](docs/Source.md)
 - [SourcesApiClient::SourceType](docs/SourceType.md)
 - [SourcesApiClient::SourceTypesCollection](docs/SourceTypesCollection.md)
 - [SourcesApiClient::SourcesCollection](docs/SourcesCollection.md)
 - [SourcesApiClient::Tenant](docs/Tenant.md)


## Documentation for Authorization


### UserSecurity

- **Type**: HTTP basic authentication

